import React, { useState } from "react";
import { Box, Typography } from "@material-ui/core";
import { Pares, Impares } from "./styles";

export default function (props) {
  const lista = props.List;
  const paresColor = props.paresColor;
  const paresBackgroundColor = props.paresBackgroundColor;
  const imparesColor = props.imparesColor;
  const imparesBackgroundColor = props.imparesBackgroundColor;

  return (
    <>
      {lista.map((item, index) => {
        return index % 2 === 0 ? (
          <Pares paresBackgroundColor={paresBackgroundColor} paresColor={paresColor}>
            <Typography variant='body1' className='pares'>
              {item}
            </Typography>
          </Pares>
        ) : (
          <Impares imparesBackgroundColor={imparesBackgroundColor} imparesColor={imparesColor}>
            <Typography variant='body1' className='impares'>
              {item}
            </Typography>
          </Impares>
        );
      })}
    </>
  );
}
