import React from "react";
import { Box, Typography } from "@material-ui/core";

import { ContainerAttention } from "./styles";

export default function (props) {
  const { children, Image, Title, Color, Border } = props;
  return (
    <ContainerAttention Color={Color} Border={Border}>
      <Box className='header'>
        <img src={Image} alt='Importante' />
        <Typography variant='body1'>{Title}</Typography>
      </Box>
      <Box className='contentAttention'>
        <Box className='attentiontext'>
          <Typography variant='body1'>{children}</Typography>
        </Box>
      </Box>
    </ContainerAttention>
  );
}
