import React from "react";
import { Link } from "react-router-dom";
import styled from "styled-components";

const StyledReference = styled(Link)`
  color: ${(props) => props.theme.palette.primary.main};
  font-weight: 900;
  transition: 250ms;
  background: none !important;
  :hover {
    filter: brightness(.9);
  }
`;

export default function (props) {
  const { num, onClick } = props;

  return (
    <StyledReference replace onClick={onClick}>
      <sup>{num}</sup>
    </StyledReference>
  );
}
