import React, { useState } from "react";
import { Box, Typography } from "@material-ui/core";
import { Container } from "./styles";

export default function (props) {
  const { Content, Color, backgroundColor, Image, Right } = props;
  return (
    <>
      <Container Color={Color} backgroundColor={backgroundColor} Right={Right}>
        {Image ? (
          <Box className='image'>
            <img src={Image} alt='' />
          </Box>
        ) : null}
        <Typography variant='body1' className='content'>
          {Content}
        </Typography>
      </Container>
    </>
  );
}
