import styled from "styled-components";

export const Container = styled.div`
  color: ${(props) => (props.Color ? props.Color : "#000")};
  border-top: 2px solid;
  border-bottom: 2px solid;
  width: 100%;
  padding: 1vw 2vw;
  border-color: ${(props) => (props.borderColor ? props.borderColor : "#000")};
  @media(max-width: 900px){
    padding: 1rem;
  }
  .content {
    > p {
      margin: 0;
      padding: 0;
    }
  }
`;
