import styled from "styled-components";

export const Pares = styled.div`
  .pares {
    color: #fff;
    padding: 1vw 2vw;
    background: ${(props) =>
      props.paresBackgroundColor ? props.paresBackgroundColor : "#404040"};
    color: ${(props) => (props.paresColor ? props.paresColor : "#fff")};
    animation: surge 2s ease forwards;
    position: relative;
    left: 1000px;
    opacity: 0;
    @media(max-width: 900px){
      padding: 1rem;
    }
  }
  @keyframes surge {
    100% {
      left: 0px;
      opacity: 1;
    }
  }
`;

export const Impares = styled.div`
  .impares {
    color: #fff;
    padding: 1vw 2vw;
    color: ${(props) =>
      props.imparesColor ? props.imparesColor : "#fff"};
    background: ${(props) =>
      props.imparesBackgroundColor ? props.imparesBackgroundColor : "#2F2F2F"};
    animation: surge 2s ease forwards;
    animation-delay: 1s;
    position: relative;
    left: 1000px;
    opacity: 0;
    @media(max-width: 900px){
      padding: 1rem;
    }
  }

  @keyframes surge {
    100% {
      left: 0px;
      opacity: 1;
    }
  }
`;
