import React from "react";
import { Box, Typography } from "@material-ui/core";

import { ContainerContour } from "./styles";

export default function (props) {
  const { children, Image, Border, Height } = props;

  return (
    <ContainerContour Border={Border} Height={Height} Image={Image}>
      <Box className='contentContour'>
        <Box className='contentBox'>
          {Image ? (
            <Box className='img'>
              <img src={Image} alt='Importante' />
            </Box>
          ) : (
            <></>
          )}
          <Typography variant='body1' className='text indented'>
            {children}
          </Typography>
        </Box>
      </Box>
    </ContainerContour>
  );
}
