import React, { useState } from "react";
import { Box, Typography } from "@material-ui/core";
import { Container } from "./styles";

export default function (props) {
  const content = props.Content;
  const color = props.Color;
  const borderColor = props.borderColor;
  return (
    <>
      <Container Color={color} borderColor={borderColor}>
        <Typography variant='body1' className='content'>
          {content}
        </Typography>
      </Container>
    </>
  );
}
