import styled from 'styled-components'

export const Container = styled.div`
    width: 100%;
    height: 100%;
    position: relative;

    .content {
        width: 100%;
        height: 100%;
        /* height: 100%; */
        margin: .4rem auto;
        @media(max-width:900px){
            width: 95%;
         }
    }
    
    .contentBox {
        width: 100%;
        height: auto;
        height: 85%;
        display: flex;
        flex-direction: column;
        position: relative;
        /* align-items: center; */
        background-color: #4A81C2;
        border-radius: 1rem;
        color: #fff;
        padding: 1.5rem;
        margin-bottom: .25rem;

        @media(min-width: 900px) {
            padding: 2rem;
        }

        @media(min-width: 900px) and (min-height: 900px) {
            margin-bottom: 1rem;
        }
    }
    .img{
        max-width: 100%;
        width: 30%;
        box-sizing: border-box;
        margin-bottom: 1rem;
        @media(max-width:900px){
            width: 100%;
        }
    }
    .button{
        position: absolute;
        top: 35%;
    }
    .prev{
        left: -2.4%;
        @media(max-width:900px){
            left: -8%;
        }
    }
    .next{
        right: -2%;
        @media(max-width:900px){
            right: -8%;
        }
    }
`
